Релиз стабильной версии Joomla 3.6.0

Joomla 3.6.0 Stable

Joomla! Project и Команда разработки (Production Leadership Team) представили свежую версию в линейке 3.x — Joomla! 3.6.0. В данной версии около 400 улучшений, включающие в себя администрирование и UX.

Данная версия не является миграцией, поэтому обновление с Joomla! 3.5 на 3.6 можно сделать в один клик.

Скачать Joomla! 3.6.0 c GitHub

Что нового в Joomla! 3.6.0?

  • Обновление Joomla улучшено и теперь появилась возможность переустановить систему, нажатием одной кнопки, при этом все файлы Joomla будут переписаны. Подобный функционал существовал в Admin Tools;
  • В Joomla! 3.6 содержит множество улучшений UX;
  • Появилась субформы поля с помощью которого можно дополнить некоторый функционал;
  • Возможность создания категории налету;
  • Улучшено ACL — добавлен новый тип меню ACL.

Полный список всех нововведений можно посмотреть в GitHub Repository. Ваши замечания и ошибки можно отправлять на Joomla! Issue Tracker.

Так же вы можете повлиять на развитие Joomla! 3.6, для этого необходимо заполнить небольшую форму: Joomla! 3.6: мы хотим узнать ваше мнение.

ЗЫ: Если пропали вкладки установить расширение, можно попробовать вот этот рецепт.

Основной курс по Joomla

Комментарии  

Александр Колесниченко
0 # Александр Колесниченко 13.07.2016 01:31
Не переходит на второй этап установки)
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Eugene
0 # Eugene 13.07.2016 01:56
Цитирую Александр Колесниченко:
Не переходит на второй этап установки)

Хм.. :-? Успешно обновил десяток сайтов и продолжаю обновление.. Благо, подобных проблем не возникало :-)
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Александр Колесниченко
0 # Александр Колесниченко 13.07.2016 02:05
На форуме уже отписал что это скорей моя была ошибка.
Рабочие тоже обновил в один клик :lol:
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Eugene
-1 # Eugene 13.07.2016 01:55
Спасибо за оперативность. Исправьте "обновление с Joomla! 3.5 на ***3.6*** можно сделать в один клик."
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис Носов
+1 # Денис Носов 13.07.2016 02:03
Спасибо, подправил.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Андрей Булатов
0 # Андрей Булатов 13.07.2016 02:21
На локальном тестовом сервере обновился без проблем.
Версия базы данных 5.7.12-0ubuntu1.1
Кодировка базы данных utf8mb4_unicode_ci
Кодировка соединения базы данных utf8mb4_unicode_ci
Версия PHP 7.0.4-7ubuntu2.1
Веб-сервер Apache/2.4.18 (Ubuntu)
Интерфейс между веб-сервером и PHP apache2handler
Есть ощущение, что и рабочий сайт буду обновлять.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Андрей Булатов
0 # Андрей Булатов 13.07.2016 06:53
Обновлять рабочий сайт пока обожду, причина здесь: joomlaforum.ru/.../...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Дмитрий Яницкий
0 # Дмитрий Яницкий 17.07.2016 21:23
О, а как работает с php 7?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
GorYa
+5 # GorYa 13.07.2016 09:55
Странно, во вкладке Установить, нет ничего кроме Установить из JED, а где строка выбора?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
translaterr
0 # translaterr 13.07.2016 11:53
Перешел в Менеджер плагинов, открыл по очереди и пересохранил все плагины типа Installer (хоть они и были включены, как и положено) - вкладка появилась, правда, уже не русифицированная Upload Package Files (Upload & Install Joomla Extension).
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
GorYa
+2 # GorYa 13.07.2016 12:03
К сожалению при переходе в плагины в типе Installer есть только "Установить с JED", поэтому пересохранять нечего. Сразу оговорюсь, обновлял joomla через FTP обычной заменой файлов
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
translaterr
0 # translaterr 13.07.2016 12:13
Видимо, дело действительно в способе обновления - я обновлялся до 3.6.0. через обычную процедуру "Обновить" в админке и плагинов появилось три:
installer - Install from Upload
Installer - Install from Folder
Installer - Install from URL
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
GorYa
0 # GorYa 13.07.2016 12:18
К сожалению, надпись Обновить joomla до 3,6 в моем случае не было и единственный вариант был обновить по FTP
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 13.07.2016 12:30
Обновлялся через обычную процедуру. осталась только установить с JED. Не в способе видно дело.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
GorYa
0 # GorYa 13.07.2016 12:38
Ураааа! В общем откатил на прежнюю версию. Скачал релиз 3.5.1 закачал с заменой по ftp, в админке появился белый экран с ошибкой user.php,, в итоге взял от 3.6.0 папку user и заменил ее, админка заработала, появилась надпись Обновить до 3.6.0, обновился и все заработало (в установке все три владки но на английском), в том числе обновились базы.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 13.07.2016 12:41
Получается с бубном. Это не дело.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
+2 # Ptero 13.07.2016 10:22
"во вкладке Установить, нет ничего кроме Установить из JED, а где строка выбора?" та же ситуация. Откатился назад.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
GorYa
0 # GorYa 13.07.2016 10:26
Кроме того. не обновились базы данных, пишет о том, что база данных устарела и не соответствует установленной cms
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Letarg
0 # Letarg 13.07.2016 10:59
отказался работать компонент мультикатегории CW Multicategories
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
translaterr
+1 # translaterr 13.07.2016 11:56
Обновился до Joomla 3.6.0. упала админка JomSocial PRO v4.2.2 - при попытке зайти в нее через меню "Компоненты"-"JomSocial" открывается пустой экран.

С лицевой части сайта JomSocial работает нормально (вроде бы, глубоко функционал не тестировал пока)

Все прочие компоненты от студии-разработчика (Ijoomla) - MaQma HelpDesk и Guru Pro работают штатно - как в админке, так и с лица сайта.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Get
0 # Get 20.07.2016 00:18
Здравствуйте! Удалось админку поднять?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
translaerr
0 # translaerr 21.07.2016 19:11
Доброго дня! Админка появилась только вчера, после установки новой версии JomSocial PRO v4.2.3, которую разработчики, судя по всему, оперативно выпустили в рамках адаптации к новой Joomle.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Pda Mode
+1 # Pda Mode 13.07.2016 12:21
После выхода из Учётной Записи открывается пустая страница по тому же адресу, с которого осуществлялся выход

Что делать???
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Георгий
-2 # Георгий 13.07.2016 12:50
Ещё не сделали, чтобы без дополнительных плагинов joomla была такой же удобной как wordpress ?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вадим Куницын
+4 # Вадим Куницын 13.07.2016 13:24
Удобство штука относительная, но могу точно сказать в WP нужно десяток плагинов воткнуть, чтоб приблизится к функциям Joomla из коробки)
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Дмитрий Семин
0 # Дмитрий Семин 13.07.2016 14:43
Что это значит?
- В Joomla! 3.6 содержит множество улучшений UX;
- Появилась субформы поля с помощью которого можно дополнить некоторый функционал;
- Возможность создания категории налету;
- Улучшено ACL — добавлен новый тип меню ACL.

Можно ли для нормальных людей пояснить как на лету создавать категории и с чем едят UX и ACL c субформами
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вадим Куницын
+1 # Вадим Куницын 13.07.2016 14:56
UX - User eXperience - то есть улучшение опыта взаимодействия.
ACL - Access Control List - по сути управление правами.
Субформы - это больше для разработчиков расширений.

Подробней о нововведениях было тут joomlaportal.ru/.../...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 13.07.2016 19:22
Проверил на нескольких сайтах. Обновление и стандартно и через фтп. Во всех случаях остается только установить с JED. Так что даже не знаю что делать.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
translaterr
0 # translaterr 13.07.2016 19:38
А у Вас случаем вверху страницы "установить с JED" нет надписи-ссылки мелким шрифтом "Не включен плагин Installer..."?
Дело в том, что у меня такая надпись была, и я, кликнув на ссылку, очутился в Менеджере модулей, где три типовых плагина типа Installer и обнаружил в отфильтрованном виде. Я все три методично открыл, увидел, что все там нормально настроено, сохранил и закрыл. После чего вернулся в "Расширения"-"Установка" - и обнаружил там все три прежние вкладки.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Gedy
0 # Gedy 11.08.2016 11:29
Скорее всего оговорились, - "Очутился в менеджере плагинов". Тип - Installer.
Там у меня вообще один - Менеджер расширений - Установка из JED.
Куда остальные делись?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
GorYa
+1 # GorYa 13.07.2016 19:40
Проявилась еще проблема с переключением языков, в файерфоксе то срабатывает, но не срабатывает переключение с английского на русский, в яндексе и хроме почему то нет такой проблемы
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 13.07.2016 19:41
Надпись есть. При переходе только Installer - установить с JED. Других прост о нет.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
SVi
0 # SVi 13.07.2016 21:58
После обновления до Joomla!, 3.6.0. многие страницы стали выдавать ошибку 404. Что делать? Причем превью видно, нажимаешь "подробнее" ... все! Ошибка 404...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
translaterr
0 # translaterr 13.07.2016 22:56
Видимо самое лучшее - писать хостеру просьбу откатить базу и сайт до вчерашнего состояния.
По крайней мере я сегодня, после дня разбирательств, решил сделать именно так.
В 3.6.0., видимо, затронули что-то кардинально важное для работы некоторых компонентов (у меня умерла админка Jomsocial). И пока разработчики Jomla с авторами "невписавшися" компонентов будут разбираться, лучше жить по старинке, как в известном двустишии:
"не надо делать мне как лучше
оставьте мне как хорошо"))).
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вадим Куницын
0 # Вадим Куницын 13.07.2016 23:35
ни каких критичных багов в 3.5 нет... подождите несколько дней хотя бы, чтоб все разработчики выпустили апдейты для компонентов...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
translaterr
0 # translaterr 14.07.2016 00:17
В 3.5, согласен, - 7xбагов не было.
А в 3.6.0. - судя по комментариям, выше крыши.

По поводу "подождать" - тоже не поспоришь. Что еще остается-то?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
AlexPS
0 # AlexPS 14.07.2016 10:48
Обновился, полет нормальный :-*
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
GorYa
0 # GorYa 14.07.2016 18:40
Ждем полной локализации, так как имеются не переведенные части
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
+1 # ник 14.07.2016 19:59
У вас как обновление так сразу проблема с отправкой почты class.phpmailer.php всегда приходится исправлять , с ошибками всегда работает фильтр языков,
ошибка формы контактов (стандартной), вообще ничего по почте не отправляет,
ошибки в файле site.php и helper.php, как были так и остались .
всегда с 3.4.8 обновления проходят с ошибками на некоторых сайтах ругается на Ajax error 500,
и если у меня куча сайтов, то как прикажете всё это дело исправлять после обновления.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
SVi
0 # SVi 14.07.2016 22:44
Нужна помощь знающих! Помогите, советом! После обновления до Joomla!, 3.6.0. многие страницы стали выдавать ошибку 404. Что делать? Причем превью видно, нажимаешь "подробнее" ... все! Ошибка 404... По совету обраились к хостеру, те вроде бы откатиили все назад, и тем самым все сделали еще хуже. В Админку не войти. Сайт выдает ошибку "Error displaying the error page: Application Instantiation Error: Table 'название_БД.#__session' doesn't exist SQL=DELETE FROM `#__session` WHERE `time` < '1468523755'". Тех.поддержка ушла в подполье, последний ответ был "Повторно восстановили БД, судя по всему, нужно восстановить файлы сайта". Кому нужно это делать, им или мне? Может есть какие-то более практичные варианты решения проблемы. Что-то надеждя на ТП тает с каждым часом... уже более 7 часов нет ответа и сайт в разбитом состоянии... А все было так хорошо! Зачем только обновляли?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 14.07.2016 23:17
проверь отключив sef в Общих настройках
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 14.07.2016 23:25
Цитирую ник:
проверь отключив sef в Общих настройках

это к 404 ошибке, а так просто бэкап сайта перезалей
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
SVi
0 # SVi 14.07.2016 23:38
После манипуляций ТП хостера теперь вообще ничего невозможно сделать. В Админку не войти. бэкап сайта они вроде переазили, но ... Сайт выдает ошибку "Error displaying the error page: Application Instantiation Error: Table 'название_БД.#__session' doesn't exist SQL=DELETE FROM `#__session` WHERE `time` < '1468523755'". ТП не отвечает. И что делать мне? Ждать их ответа или что-то предпринять сейчас можно?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Георгий
0 # Георгий 15.07.2016 00:03
А какие таблицы остались? Можно попробовать создать таблицу _session со стандартными столбцами. Если в тексте ошибки прямо так решётка отображается, значит какой то глюк при обновлении скриптов.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 14.07.2016 23:41
у тебя своего бэкапа что нет
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
SVi
0 # SVi 14.07.2016 23:44
К сожалению нет. Как-то поторопились обновиться. Раньше проблем не было с этим! Урок будет на будущее.. Но, теперь надо как-то выкручиваться, и чем быстрее тем лучше. Очень нужен дельный совет.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 14.07.2016 23:44
Цитирую SVi:
После манипуляций ТП хостера теперь вообще ничего невозможно сделать. В Админку не войти. бэкап сайта они вроде переазили, но ... Сайт выдает ошибку "Error displaying the error page: Application Instantiation Error: Table 'название_БД.#__session' doesn't exist SQL=DELETE FROM `#__session` WHERE `time` < '1468523755'". ТП не отвечает. И что делать мне? Ждать их ответа или что-то предпринять сейчас можно?

проверь в файле configuration.php
public $host = 'localhost';
public $user = '****';
public $password = ****'';
public $db = ****'
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
SVi
0 # SVi 14.07.2016 23:51
в файле configuration.php Все как надо! Все верно. Еще мысли есть?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 14.07.2016 23:51
Цитирую SVi:
К сожалению нет. Как-то поторопились обновиться. Раньше проблем не было с этим! Урок будет на будущее.. Но, теперь надо как-то выкручиваться, и чем быстрее тем лучше. Очень нужен дельный совет.

вот по твоей ошибке ------http://joomlaforum. ru/index.php?topic=267662 .0
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 14.07.2016 23:57
проси хостинг залить старый бэкап и базу данных . проблема будет решена. аналогичная тема на joomlaforum, и решение как я тебе написал.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
SVi
0 # SVi 14.07.2016 23:59
Так вот весь день они это делали, и теперь пропали, уже 8 часов как ушли в неизвестность... А делов-то там. Это и удручает!!! Значит только ждать... Спасибо!!!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 15.07.2016 00:02
Цитирую SVi:
Так вот весь день они это делали, и теперь пропали, уже 8 часов как ушли в неизвестность... А делов-то там. Это и удручает!!! Значит только ждать... Спасибо!!!

напрямую давай контакт свой
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 15.07.2016 00:09
Цитирую SVi:
Какой контакт? Кому?

ты напиши и я тебе по почте твоеё уже отвечу
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 15.07.2016 00:11
Цитирую Георгий:
А какие таблицы остались? Можно попробовать создать таблицу _session со стандартными столбцами. Если в тексте ошибки прямо так решётка отображается, значит какой то глюк при обновлении скриптов.

так у него ошибка в mysql
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ник
0 # ник 15.07.2016 00:11
Цитирую Георгий:
А какие таблицы остались? Можно попробовать создать таблицу _session со стандартными столбцами. Если в тексте ошибки прямо так решётка отображается, значит какой то глюк при обновлении скриптов.

так у него ошибка в mysql
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Pavel
0 # Pavel 15.07.2016 11:41
После обновления на страницах сайта выдает: components\com_content\mo dels\articles.php on line 577 и \plugins\djmediatools\con tent\content.php on line 98
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 15.07.2016 19:18
На одном из сайтов отключил все защиты и файер и обновился без проблем,штатно,появились все вкладки обновлений. На втором продела то же самое но при попытке обновится штатно выдает ошибку 404 и обновление не идет а при попытке по фтп с заменой, вкладки так и не появились. В чем может быть проблема со штатным обновление "404 Компонент не найден" ?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис Носов
-1 # Денис Носов 15.07.2016 19:49
ждем-с версию 3.6.1, надеюсь она не такая будет глючная
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Александр Авторитарный
0 # Александр Авторитарный 16.07.2016 05:03
поставил с 0 и при сохранении/выходе из профиля белый экран. стрелкой назад возвращаюсь на предыдущую страницу и там уже всё окей. этого бага хватило чтобы удалить её и ждать дальше, что то более стабильное. вот так ждешь-ждешь и в итоге косяк на косяке...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Федор
+2 # Федор 17.07.2016 00:41
Всем привет, а что с приоритетами для JS - скриптов, не включили в эту версию наработки ?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Zlio
0 # Zlio 19.07.2016 18:51
Установил Joomla 3, выполнил upgrade до 3.6.
Все в норме.

Но!!!!

Когда уже хочу языковые пакеты (русс) установить, получаю ошибку - типа фал цстановкие не соответсвтует версии 3.6....

что делать?

переустановить 3.5, установит русския язык, и только потов сделать обновление???? может есть решение по проще.....
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 19.07.2016 19:26
Цитирую Zlio:
Установил Joomla 3, выполнил upgrade до 3.6.
Все в норме.

Но!!!!

Когда уже хочу языковые пакеты (русс) установить, получаю ошибку - типа фал цстановкие не соответсвтует версии 3.6....

что делать?

переустановить 3.5, установит русския язык, и только потов сделать обновление???? может есть решение по проще.....

надо было брать во-первых нормальные дистрибутивы , во-вторых языковые пакеты лучit устанавливать в момент установки, и в-третьих а почему бы не установить сразу 3.6
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Zlio
0 # Zlio 20.07.2016 09:54
Цитирую nikazz:
Цитирую Zlio:
Установил Joomla 3, выполнил upgrade до 3.6.
Все в норме.

Но!!!!

Когда уже хочу языковые пакеты (русс) установить, получаю ошибку - типа фал цстановкие не соответсвтует версии 3.6....

что делать?

переустановить 3.5, установит русския язык, и только потов сделать обновление???? может есть решение по проще.....

надо было брать во-первых нормальные дистрибутивы , во-вторых языковые пакеты лучit устанавливать в момент установки, и в-третьих а почему бы не установить сразу 3.6


очень полезный ответ....

то что надо было, я и сам написал....

я установил шаблон quickstart и какая там версия joomla была, та и установилась....
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 20.07.2016 12:32
Цитирую Zlio:
Цитирую nikazz:
Цитирую Zlio:
Установил Joomla 3, выполнил upgrade до 3.6.
Все в норме.

Но!!!!

Когда уже хочу языковые пакеты (русс) установить, получаю ошибку - типа фал цстановкие не соответсвтует версии 3.6....

что делать?

переустановить 3.5, установит русския язык, и только потов сделать обновление???? может есть решение по проще.....

надо было брать во-первых нормальные дистрибутивы , во-вторых языковые пакеты лучit устанавливать в момент установки, и в-третьих а почему бы не установить сразу 3.6


очень полезный ответ....

то что надо было, я и сам написал....

я установил шаблон quickstart и какая там версия joomla была, та и установилась....

Ну так установи с нуля j3.6 и установи шаблон, в чём проблема ?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
maradd
0 # maradd 21.07.2016 10:43
День добрый!
Случилась проблема: после обновления на 3.6., пропала установка плагинов. Решил откатиться назад до 3.5.1. Сайт работает, но не работает administrator/index.php - белый экран. Залил через FTP обратно 3.6.0. Распаковал через FTP провайдера хостинга, появилось стандартное окно, чтобы закончить установку - удалите папку Installion, удалить получилось только механически через FTP провайдера. Сайт работает, а вот админ панел нет... белый экран. Помогите вернуть рабочую панель
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 21.07.2016 11:17
Цитирую maradd:
День добрый!
Случилась проблема: после обновления на 3.6., пропала установка плагинов. Решил откатиться назад до 3.5.1. Сайт работает, но не работает administrator/index.php - белый экран. Залил через FTP обратно 3.6.0. Распаковал через FTP провайдера хостинга, появилось стандартное окно, чтобы закончить установку - удалите папку Installion, удалить получилось только механически через FTP провайдера. Сайт работает, а вот админ панель нет... белый экран. Помогите вернуть рабочую панель

Когда Вы обновили Вам надо было проверить файл configuration, в основном ошибка кроется там , когда указан live site "" и cookie "" их нужно оставить пустыми, а в 3.5.1 Вы просто не так восстановились читайте документацию Akeba? если восстановили с помощью хостинга, без akeba , и соответственно откатили базу тут уже дело покрыто мраком, но вам поможет поддержка хостинга, скорей всего нужно ремонтировать базу данных.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
maradd
0 # maradd 21.07.2016 11:41
Цитирую nikazz:
Цитирую maradd:
День добрый!
Случилась проблема: после обновления на 3.6., пропала установка плагинов. Решил откатиться назад до 3.5.1. Сайт работает, но не работает administrator/index.php - белый экран. Залил через FTP обратно 3.6.0. Распаковал через FTP провайдера хостинга, появилось стандартное окно, чтобы закончить установку - удалите папку Installion, удалить получилось только механически через FTP провайдера. Сайт работает, а вот админ панель нет... белый экран. Помогите вернуть рабочую панель

Когда Вы обновили Вам надо было проверить файл configuration, в основном ошибка кроется там , когда указан live site "" и cookie "" их нужно оставить пустыми, а в 3.5.1 Вы просто не так восстановились читайте документацию Akeba? если восстановили с помощью хостинга, без akeba , и соответственно откатили базу тут уже дело покрыто мраком, но вам поможет поддержка хостинга, скорей всего нужно ремонтировать базу данных.

Цитирую nikazz:
Цитирую maradd:
День добрый!
Случилась проблема: после обновления на 3.6., пропала установка плагинов. Решил откатиться назад до 3.5.1. Сайт работает, но не работает administrator/index.php - белый экран. Залил через FTP обратно 3.6.0. Распаковал через FTP провайдера хостинга, появилось стандартное окно, чтобы закончить установку - удалите папку Installion, удалить получилось только механически через FTP провайдера. Сайт работает, а вот админ панель нет... белый экран. Помогите вернуть рабочую панель

Когда Вы обновили Вам надо было проверить файл configuration, в основном ошибка кроется там , когда указан live site "" и cookie "" их нужно оставить пустыми, а в 3.5.1 Вы просто не так восстановились читайте документацию Akeba? если восстановили с помощью хостинга, без akeba , и соответственно откатили базу тут уже дело покрыто мраком, но вам поможет поддержка хостинга, скорей всего нужно ремонтировать базу данных.

Спасибо за помощь
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Евгений
+3 # Евгений 23.07.2016 11:21
РЕШЕНО
Есть сайт на Joomla 3.5.1
Стандартная процедура обновления до Joomla 3.6:
Завершается инсталляция сообщением об ошибке:
1062 Duplicate entry '802' for key 'PRIMARY' SQL=INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES (802, 'English (United Kingdom)', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);

При этом в Менеджере установки расширений присутствует только одна вкладка: - Установить из JED, а три другие – отсутствуют.

Мои действия.

1. Очищаем кэш АДМИНПАНЕЛИ! (Почищено все что можно, а не только Панель упраления)
2. Структура таблиц базы данных ПРИВЕДЕНА в актуальное состояние.
3. Расширения –> Менеджер расширений –> Поиск: - видим список:
• AllVideos (by JoomlaWorks)
• AllVideos (by JoomlaWorks)
o Installer - Install from Folder
o Installer - Install from Upload
o Installer - Install from URL
• JMonitoring - Akeeba Backup
• PLG_EDITORS-XTD_MODULES ANYWHERE
• Simple Image Gallery (by JoomlaWorks)
• Simple Image Gallery (by JoomlaWorks)

Ставим галочки на отмеченные и жмём в левом верхнем углу «Установить».
4. Расширения –> Менеджер плагинов –> выбираем тип installer: - включаем отмеченные плагины и видим, что появились ВСЕ закладки:
• Установить из JED
• Install from Folder
• Upload Package File
• Install from URL

Проверена отправка письма из стандартного Контакты – нормально

Ссылки:
forum.joomla.org/.../ – с помощью этого ресурса были найдены указанные ниже. Перевод:
translate.google.com/.../

joomla.it/.../... - самая лучшая статья на итальянском. Перевод:
translate.google.com/.../

rsjoomla.com/.../... Перевод:
translate.google.com/.../

joomlaportal.ru/.../...


Перевод иностранных сайтов осуществлялся с помощь сервиса на
free-website-translation.com/. ../
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Gedy
0 # Gedy 11.08.2016 11:42
Спасибо огромное! Самый полезный комент в ленте!! :lol: :lol: :lol:
То что искал! Всё стало как надо.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ole
0 # Ole 25.08.2016 14:44
:lol: :lol: :lol:
Спасибо огромное, действительно появились и загрузка пакета и т.д
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Александр12
0 # Александр12 20.10.2016 11:33
Спасибо тебе!!!!!!!!!!!! ты реально помог ;-) ;-) ;-) ;-) ;-) И правда самый дельный совет в ленте, а то пишут всякую ерунду_))) Спасибо!!!!!!!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 23.07.2016 14:10
Цитирую Евгений:
НЕ РЕШЕНО
Есть сайт на Joomla 3.5.1
Стандартная процедура обновления до Joomla 3.6:
Завершается инсталляция сообщением об ошибке:
1062 Duplicate entry '802' for key 'PRIMARY' SQL=INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES (802, 'English (United Kingdom)', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);

При этом в Менеджере установки расширений присутствует только одна вкладка: - Установить из JED, а три другие – отсутствуют.

Мои действия.

1. Очищаем кэш АДМИНПАНЕЛИ! (Почищено все что можно, а не только Панель упраления)
2. Структура таблиц базы данных ПРИВЕДЕНА в актуальное состояние.
3. Расширения –> Менеджер расширений –> Поиск: - видим список:
• AllVideos (by JoomlaWorks)
• AllVideos (by JoomlaWorks)
o Installer - Install from Folder
o Installer - Install from Upload
o Installer - Install from URL
• JMonitoring - Akeeba Backup
• PLG_EDITORS-XTD_MODULESANYWHERE
• Simple Image Gallery (by JoomlaWorks)
• Simple Image Gallery (by JoomlaWorks)

Ставим галочки на отмеченные и жмём в левом верхнем углу «Установить».
4. Расширения –> Менеджер плагинов –> выбираем тип installer: - включаем отмеченные плагины и видим, что появились ВСЕ закладки:
• Установить из JED
• Install from Folder
• Upload Package File
• Install from URL

Проверена отправка письма из стандартного Контакты – нормально

Ссылки:
forum.joomla.org/.../ – с помощью этого ресурса были найдены указанные ниже. Перевод:
translate.google.com/.../

joomla.it/.../... - самая лучшая статья на итальянском. Перевод:
translate.google.com/.../

rsjoomla.com/.../... Перевод:
translate.google.com/.../

joomlaportal.ru/.../...


Перевод иностранных сайтов осуществлялся с помощь сервиса на
free-website-translation.com/. ../

Чего вы людей путаете , что у Вас решено к другим случаям не подойдёт, и на сайте у итаьяшек это не решение, возможные действия. У некоторых вообще админка пустая , и что вы решили, а у других некоторые страницы пропали
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Евгений
0 # Евгений 23.07.2016 16:43
Цитирую nikazz:

Чего вы людей путаете , что у Вас решено к другим случаям не подойдёт, и на сайте у итаьяшек это не решение, возможные действия. У некоторых вообще админка пустая , и что вы решили, а у других некоторые страницы пропали

Конечно, это ЧАСТНОЕ решение, но описанных ситуций тоже великое множество, как и других, впрочем.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 23.07.2016 17:03
Цитирую Евгений:
Цитирую nikazz:

Чего вы людей путаете , что у Вас решено к другим случаям не подойдёт, и на сайте у итаьяшек это не решение, возможные действия. У некоторых вообще админка пустая , и что вы решили, а у других некоторые страницы пропали

Конечно, это ЧАСТНОЕ решение, но описанных ситуций тоже великое множество, как и других, впрочем.

Я именно так и решил. Так что спасибо.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 23.07.2016 17:07
И еще момент. После первых неудачных проб несколько раз восстанавливался из бэкапа. Была админка белая,чистил кэш самого броузера и перезапускал его. Это тоже как бы частный случай. НО....
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Валентин
0 # Валентин 23.07.2016 20:49
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0 ',`location`='http://upda te.joomla.org/core/list.x ml' WHERE

Подскажите, пожалуйста, как ее устранить?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 23.07.2016 23:22
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

Цитирую Евгений:
Цитирую nikazz:

Чего вы людей путаете , что у Вас решено к другим случаям не подойдёт, и на сайте у итаьяшек это не решение, возможные действия. У некоторых вообще админка пустая , и что вы решили, а у других некоторые страницы пропали

Конечно, это ЧАСТНОЕ решение, но описанных ситуций тоже великое множество, как и других, впрочем.

ну а что Вы сами пишите решено? напишите лучше гавно.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 23.07.2016 23:24
Цитирую Ptero:
И еще момент. После первых неудачных проб несколько раз восстанавливался из бэкапа. Была админка белая,чистил кэш самого броузера и перезапускал его. Это тоже как бы частный случай. НО....

я уже написал как это решать выше.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 23.07.2016 23:30
Цитирую nikazz:
Цитирую Ptero:
И еще момент. После первых неудачных проб несколько раз восстанавливался из бэкапа. Была админка белая,чистил кэш самого броузера и перезапускал его. Это тоже как бы частный случай. НО....

я уже написал как это решать выше.

Я писал это как решение а не вопрос.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 23.07.2016 23:33
Цитирую Ptero:
Цитирую Евгений:
Цитирую nikazz:

Чего вы людей путаете , что у Вас решено к другим случаям не подойдёт, и на сайте у итаьяшек это не решение, возможные действия. У некоторых вообще админка пустая , и что вы решили, а у других некоторые страницы пропали

Конечно, это ЧАСТНОЕ решение, но описанных ситуций тоже великое множество, как и других, впрочем.

Я именно так и решил. Так что спасибо.

зависит от ситуаций удачи с вирусами !
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ptero
0 # Ptero 23.07.2016 23:36
Цитирую nikazz:
Цитирую Ptero:
Цитирую Евгений:
Цитирую nikazz:

Чего вы людей путаете , что у Вас решено к другим случаям не подойдёт, и на сайте у итаьяшек это не решение, возможные действия. У некоторых вообще админка пустая , и что вы решили, а у других некоторые страницы пропали

Конечно, это ЧАСТНОЕ решение, но описанных ситуций тоже великое множество, как и других, впрочем.

Я именно так и решил. Так что спасибо.

зависит от ситуаций удачи с вирусами !

И вам не хворать :)
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 23.07.2016 23:39
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

у Вас не правильные настройки обновления, (попробуйте сделать всё это на локалке
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 23.07.2016 23:51
Цитирую Ptero:
Цитирую nikazz:
Цитирую Ptero:
Цитирую Евгений:
Цитирую nikazz:

Чего вы людей путаете , что у Вас решено к другим случаям не подойдёт, и на сайте у итаьяшек это не решение, возможные действия. У некоторых вообще админка пустая , и что вы решили, а у других некоторые страницы пропали

Конечно, это ЧАСТНОЕ решение, но описанных ситуций тоже великое множество, как и других, впрочем.

Я именно так и решил. Так что спасибо.

зависит от ситуаций удачи с вирусами !

И вам не хворать :)

к стати если была такая ситуация с бэкапом , то совет делать 2 разных бэкапа хостинга и akeba backup так как бывают случаи что akeba не справляется сохранением сайта или были ошибки при сохранении, и после восстановления люди получают белые страницы. И бывает что какой-нибуть левый компонент, после сохранения ведёт себя не корректно, ставьте корректные компоненты.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 23.07.2016 23:55
Цитирую Pavel:
После обновления на страницах сайта выдает: components\com_content\models\articles.php on line 577 и \plugins\djmediatools\content\content.php on line 98

Исправляй ошибки php ?или попробуй поставь файл из новой версии joomla
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Валентин
0 # Валентин 24.07.2016 00:36
Цитирую nikazz:
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

у Вас не правильные настройки обновления, (попробуйте сделать всё это на локалке

Цитирую nikazz:
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

у Вас не правильные настройки обновления, (попробуйте сделать всё это на локалке



На локалке все то же самое. Обновился до 3.6.0 через ФТП. Ошибка эта все равно осталась. Боюсь придется в дальнейшем только так и обновляться (только по ФТП).
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 24.07.2016 18:20
Цитирую Валентин:
Цитирую nikazz:
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

у Вас не правильные настройки обновления, (попробуйте сделать всё это на локалке

Цитирую nikazz:
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

у Вас не правильные настройки обновления, (попробуйте сделать всё это на локалке



На локалке все то же самое. Обновился до 3.6.0 через ФТП. Ошибка эта все равно осталась. Боюсь придется в дальнейшем только так и обновляться (только по ФТП).

Вы заходите через старый phpMyAdmin вам нужна новая версия. просите поддержку исправить.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Валентин
0 # Валентин 25.07.2016 12:56
Цитирую nikazz:
Цитирую Валентин:
Цитирую nikazz:
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

у Вас не правильные настройки обновления, (попробуйте сделать всё это на локалке

Цитирую nikazz:
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?

у Вас не правильные настройки обновления, (попробуйте сделать всё это на локалке



На локалке все то же самое. Обновился до 3.6.0 через ФТП. Ошибка эта все равно осталась. Боюсь придется в дальнейшем только так и обновляться (только по ФТП).

Вы заходите через старый phpMyAdmin вам нужна новая версия. просите поддержку исправить.



Ответ техподдержки следующий:
"К сожалению, изменить версию для всего сервера у нас нет возможности. Вы можете установить необходимую версию phpMyAdmin сабдиректорию Вашего сайта."

Кто-то может объяснить о чем речь? Спасибо.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Валентин
0 # Валентин 24.07.2016 21:25
nikazz спасибо за совет!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Валентин
0 # Валентин 25.07.2016 22:09
РЕШЕНО!
Моя Joomla 3.5.1 не видела обновление до 3.6.0. При этом компонент Обновление Joomla! Ничего не отображал кроме следующей ошибки:
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0 ',`location`='http://upda te.joomla.org/core/list.x ml' WHERE

Решение этой ошибки мне подсказала техподдержка моего хостинга.
Как выяснилось ошибка возникла из-за установки компонента Akeeba Backup версии 4.7.0. О чем собственно и написано (по-английски) на их сайте akeebabackup.com/.../...

Решение очень простое – нужно просто скачать и установить на Joomla специальный fix от Akeeba, а потом его удалить.

Как выяснилось (после установки этого fixа), у меня не только Joomla не видела обновления, а и другие плагины и компоненты. Всем удачи!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 25.07.2016 22:29
Цитирую Валентин:
РЕШЕНО!
Моя Joomla 3.5.1 не видела обновление до 3.6.0. При этом компонент Обновление Joomla! Ничего не отображал кроме следующей ошибки:
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Решение этой ошибки мне подсказала техподдержка моего хостинга.
Как выяснилось ошибка возникла из-за установки компонента Akeeba Backup версии 4.7.0. О чем собственно и написано (по-английски) на их сайте akeebabackup.com/.../...

Решение очень простое – нужно просто скачать и установить на Joomla специальный fix от Akeeba, а потом его удалить.

Как выяснилось (после установки этого fixа), у меня не только Joomla не видела обновления, а и другие плагины и компоненты. Всем удачи!

ВНИМАНИЕ ! ТЕМ КТО НЕ УСТАНАВЛИВАЛ Akeeba надо просто установить этот Fix а те кто перед обновлением не обновляют по инструкции plug-ins не пишите тут а читайте инструкцию по обновлению. Знаю точно у тех у кого не стоял akeeba backup всё равно придётся установить и последнюю версию иначе будет такая-же ерунда, но имейте ввиду что если у Вас на хостинге стоит phphMyadmin 2.8 и php ниже 5.5 то Вы тоже не сможете установить нормально обновление и исправить таблицы при phphMyadmin 2.8 , а Вы кто затеял всю переписку просто не читали инструкцию.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Есенай Балмуханов
0 # Есенай Балмуханов 27.07.2016 08:59
Error
An error has occurred.
После установки joomla 3.6 выходит ошибка как показана выше.
На всех страницах.
Куда копать?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 27.07.2016 09:09
Цитирую Есенай Балмуханов:
Error
An error has occurred.
После установки joomla 3.6 выходит ошибка как показана выше.
На всех страницах.
Куда копать?

снести и проделать заново но установив fix от akeba.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Есенай Балмуханов
0 # Есенай Балмуханов 27.07.2016 12:06
спасибо.
но куда цеплять fix я так и не вкурил.
можно мануалку, если не тяжело)
Не бросайтесь камнями за тупой вопрос
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 27.07.2016 15:04
Цитирую Есенай Балмуханов:
спасибо.
но куда цеплять fix я так и не вкурил.
можно мануалку, если не тяжело)
Не бросайтесь камнями за тупой вопрос

ну куда -куда , ты должен просто установить, и потом смело обновлять,
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
ПавелЪ
0 # ПавелЪ 28.07.2016 21:40
Как установить, если вкладок установки нет. Только Jed....????????????
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 28.07.2016 17:11
Цитирую Валентин:
Добрый день!
Сайт на Joomla! 3.5.1. Не смог обновиться до 3.6.0 поскольку зайдя в меню «Компоненты - Обновления Joomla!» у меня отображается ошибка:

Обнаружена ошибка.
1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1 SQL=UPDATE `#__update_sites` SET `last_check_timestamp`='0',`location`='http://update.joomla.org/core/list.xml' WHERE

Подскажите, пожалуйста, как ее устранить?


Зайдите в расширения>менеджер расширений>База данных и у Вас там показаны ошибки нажмите исправить.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 29.07.2016 17:43
Цитирую ПавелЪ:
Как установить, если вкладок установки нет. Только Jed....????????????

здесь есть решение читайте на этой странице и найдёте
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 29.07.2016 17:48
Цитирую Есенай Балмуханов:
Error
An error has occurred.
После установки joomla 3.6 выходит ошибка как показана выше.
На всех страницах.
Куда копать?

Восстанавливайте из бэкапа, вы либо не дали нормально обновить, либо просто был сбой. и перед обновлением установите fix от akeba и потом обновляйте.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Людмила
0 # Людмила 30.07.2016 20:24
Обновилась до версии 3.6. Сайт работает, но при создании нового материала, категории, пункта меню выскакивает
Обнаружена ошибка.
500 Представление не найдено [name, type, prefix]: categories, html, cpanelView
Вернуться в Панель управления
При возвращении в панель материал, категория... созданы, но заблокированы. Что делать?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 30.07.2016 20:27
Цитирую Людмила:
Обновилась до версии 3.6. Сайт работает, но при создании нового материала, категории, пункта меню выскакивает
Обнаружена ошибка.
500 Представление не найдено [name, type, prefix]: categories, html, cpanelView
Вернуться в Панель управления
При возвращении в панель материал, категория... созданы, но заблокированы. Что делать?

Почистите кэш
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 30.07.2016 23:01
Цитирую Людмила:
Обновилась до версии 3.6. Сайт работает, но при создании нового материала, категории, пункта меню выскакивает
Обнаружена ошибка.
500 Представление не найдено [name, type, prefix]: categories, html, cpanelView
Вернуться в Панель управления
При возвращении в панель материал, категория... созданы, но заблокированы. Что делать?

Попробуйте починить ещё базу данных
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Людмила
0 # Людмила 31.07.2016 13:56
База данных говорит, что всё в порядке:

Структура таблиц базы данных в актуальном состоянии.
Другая информация

Версия схемы базы данных (из #__schemas): 3.6.0-2016-06-05.
Версия обновления (из #__extensions): 3.6.0.
Драйвер БД: mysqli.
97 изменений базы данных были успешно проверены.
156 изменений базы данных не изменили структуру таблиц и были пропущены.

Кэш Joomla чистила, в разных браузерах всё одинаково.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 31.07.2016 14:01
Цитирую Людмила:
База данных говорит, что всё в порядке:

Структура таблиц базы данных в актуальном состоянии.
Другая информация

Версия схемы базы данных (из #__schemas): 3.6.0-2016-06-05.
Версия обновления (из #__extensions): 3.6.0.
Драйвер БД: mysqli.
97 изменений базы данных были успешно проверены.
156 изменений базы данных не изменили структуру таблиц и были пропущены.

Кэш Joomla чистила, в разных браузерах всё одинаково.

отремонтируйте базу в самой базе (phpmyadmin)
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Людмила
0 # Людмила 31.07.2016 22:29
Честно говоря, никогда этого не делала. Где можно набраться ума-разума по этому вопросу?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 31.07.2016 22:54
Цитирую Людмила:
Честно говоря, никогда этого не делала. Где можно набраться ума-разума по этому вопросу?

Обратится к профессионалам на хостинге , пусть сделаю. А так google Вам в помощь.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Алекс
0 # Алекс 01.08.2016 01:10
При попытке обновить

Обнаружена ошибка.
404 Компонент не найден

Сам релиз залит в папку tmp
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Исаев Артем
0 # Исаев Артем 08.08.2016 21:20
Вот ведь. Из админки нажал обовить до 3.6 (была 3.4.8) и все белый экран. Можо как-то откатить не из бэкапа? Спасибо.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 08.08.2016 21:28
Цитирую Исаев Артем:
Можо как-то откатить не из бэкапа? Спасибо.

нет нельзя, можно двигаться дальше и исправить ошибки, начиная с того что исправить базу и возможно исправить router.php
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 08.08.2016 21:25
Цитирую Исаев Артем:
Вот ведь. Из админки нажал обовить до 3.6 (была 3.4.8) и все белый экран. Можо как-то откатить не из бэкапа? Спасибо.

Вы нажали и всё или joomla обновилась и потом белый экран , пишите действия не только свои, но и то что сделала joomla
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Исаев Артем
0 # Исаев Артем 08.08.2016 21:32
eror пишет успешно загружено обновение 3.6 и там все. Нажал обновить в админке крутилось долго мигнуло и белый экран. не зайти на сайт и не зайти в админку.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Исаев Артем
0 # Исаев Артем 08.08.2016 21:33
т.е. во время обновления чтото пошло не так. можно ли какую папку удалить, чтобы откатить или только бэкап?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
+2 # nikazz 08.08.2016 21:38
Цитирую Исаев Артем:
т.е. во время обновления чтото пошло не так. можно ли какую папку удалить, чтобы откатить или только бэкап?

попробуй очистить кэш браузера и в новой вкладке открой сайт, такое бывает когда сайт вообще не обновился, если всё будет тоже самое, то нужно разархивировать обновление joomla прямо из корня сайта с перезаписью файлов.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
+1 # nikazz 08.08.2016 21:38
Цитирую Исаев Артем:
т.е. во время обновления чтото пошло не так. можно ли какую папку удалить, чтобы откатить или только бэкап?

нет
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
+1 # nikazz 08.08.2016 21:45
Цитирую Исаев Артем:
ок. спасибо.

проверьте какая версия у Вас php
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Исаев Артем
0 # Исаев Артем 08.08.2016 21:55
php 5.5.37
Спасибо. перезалил в корень 3.6.2 распаковал и все заработало.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
+1 # nikazz 08.08.2016 22:01
Цитирую Исаев Артем:
php 5.5.37
Спасибо. перезалил в корень 3.6.2 распаковал и все заработало.

php возможно скоро придётся обновить следите за обновлениями joomla под какой php она сделана. Удачи !
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 08.08.2016 22:19
Если обновление joomla скушало некоторые ссылки , то Вам нужно исправить базу и route.php (components/com_content/r oute.php) установить файл старой версии 3.3 или своей предыдущей версии. И если добавился ID материала к ссылке, то сделать тоже самое route.php (components/com_content/r oute.php) установить файл старой версии 3.3 или своей предыдущей версии.
вот в помощь joomlaforum.ru/.../
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 09.08.2016 00:38
Исправил опечатку с ссылками !!! Если обновление joomla скушало некоторые ссылки , то Вам нужно исправить базу в менеджер расширений/база данных/ здесь нажать исправить. И /libraries/cms/router/rou te.php установить файл старой версии 3.3 или своей предыдущей версии. И если добавился ID материала к ссылке, то сделать то что указано в этой ссылке joomlaforum.ru/.../.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
nikazz
0 # nikazz 09.08.2016 00:41
Цитирую Алекс:
При попытке обновить

Обнаружена ошибка.
404 Компонент не найден

Сам релиз залит в папку tmp

перенесите архив в корень сайта и просто распакуйте с заменой файлов.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Сергей
0 # Сергей 15.08.2016 22:38
:sad: Привет. Обновился с помощью автоапдейта с 3.4.7 до 3.6.0
Обновилось успешно, ошибок не было.
Но на сайте проблема с вёрсткой. В частности, какие-то проблемы с меню.

Смотрю главное меню, и вижу, что в старой версии была вёрстка с помощью таблиц, в новой версии этого вообще нет.
Соответственно css не применяется, т.к. структура неправильная.

Как можно поправить?

Вот пример вёрстки со старой версией:








................


А вот в новой версии джумлы:
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Сергей Сергей
0 # Сергей Сергей 15.08.2016 22:40
В предыдущем комментарии не прикрепился код. Продублирую здесь:

Вот пример вёрстки со старой версией:

Цитата:

................


А вот в новой версии джумлы:

Цитата:

Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Татьяна
0 # Татьяна 18.08.2016 13:06
Добрый день!Подскажите пожалуйста с сайтом ничего не делали.Вчера заходим на сайт и выходит такая надпись Duplicate entry '1-' for key 'whosonline' SQL=INSERT INTO `li4kt_session` (`session_id`, `client_id`, `time`) VALUES ('d28f282bce7530f939c4d66 eed6da62e', 0, '1471514428').В административную панель так же не можем зайти пишет тоже самое.Как убрать эту надпись?Ничего не можем сделать помогите.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вадим Куницын
0 # Вадим Куницын 18.08.2016 16:15
на хосте кончилось дисковое пространство
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис
0 # Денис 01.10.2016 21:05
Здравствуйте! В шаблоне Multimshop пропали некоторые настройки шаблона, подозреваю что после обновления. Версия джумлы 3.6.2. Подскажите, есть решение, без отката? Заранее благодарю!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Татьяна
0 # Татьяна 05.10.2016 13:43
День добрый! Был сайт на версии 1.7.5. По глупости обновили до 2.5, а потом до 3.6. Теперь вообще ничего нет кроме белого экрана: ни зайти на сайт, ни войти в админа. Можно ли что-то сделать (лучше вернуться вообще к 1.7.5)
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Влад
0 # Влад 10.10.2016 15:18
Если есть бекап, то вернуться на старую версию вообще минутное дело. Но что-то мне подсказывает что бекапа у вас нет ;)
Ну и белый экран лечится. Для начала надо включить отображение ошибок (за нужно и логи изучить) поглядеть что именно вызывает fatal error, отключить этот плагин\модуль, поглядеть какой следующий может вызывать ошибку и т.д. пока все не заработает.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Александр12
0 # Александр12 20.10.2016 11:23
Обновил сегодня утром, выскочила ошибка 1146 joomla 3.6 вот ссылка r-diamond.ru/ помогите пожалуйста
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору

Добавить комментарий

Обновить
Защитный код

Joomla!® CMS — пожалуй, лучшая система управления контентом с открытым исходным кодом

Joomla! — это больше, чем просто программное обеспечение, это люди, включающие разработчиков, дизайнеров, системных администраторов, переводчиков, копирайтеров, и, что самое главное — простых пользователей.

Мы рады пригласить вас в ряды нашего сообщества!

Скачать Joomla! 3 Документация Joomla! CMS Свернуть

Новости портала

Новое в блогах

Видео